# 
# Required Arguments:
# Provide Fasta file as first argument to speaker.sh
#
# Optional Arguments:
# To generate a UCSC custom tracks file from 
# classification output, provide a tab-delimited text file 
# containing sequence location as an (optional) second argument.
# Text file should contain (label, chr, start, end, strand), for an
# example see the file test_seqs.locs
#
# Notes:
# The following example runs over two CAGE tag cluster regions in the 
# Annotation-Supported Test Set, labeled T01R0A35558E and T02F09CFFDA6.
# The sample fasta file, test_seqs.fa, contains 1kb of sequence on either
# side of the single-peak TSS in each case (with an additional 500nt buffer 
# on both ends, required for feature generation).
#
# Time Estimate:
# The example takes about 5-7 minutes to run on an average PC.
#
#

./speaker.sh test_seqs.fa test_seqs.locs
